Bio::Variation::Allele(3)

NAME
Bio::Variation::Allele - Sequence object with allele-specific attributes

SYNOPSIS
  $allele1 = Bio::Variation::Allele->new ( -seq => 'A',
                                           -id  => 'AC00001.1',
                                           -moltype => 'dna',
                                           -is_reference => 1
                                         );

DESCRIPTION
List of alleles describe known sequence alternatives in a variable region. Alleles are contained in the Bio::Variation::VariantI manpage complying objects.

Bio::Varation::Alleles are PrimarySeqI complying objects which can contain database cross references as specified in Bio::DBLinkContainerI interface, too.

A lot of the complexity with dealing with Allele objects are caused by null alleles; Allele objects that have zero length sequence string.

In addition describing the allele by its sequence , it possible to give describe repeat structure within the sequence. This done using methods repeat_unit (e.g. 'ca') and repeat_count (e.g. 7).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                         - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution. Bug reports can be submitted via
 email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Heikki Lehvaslaiho
Email: heikki@ebi.ac.uk Address:

     EMBL Outstation, European Bioinformatics Institute
     Wellcome Trust Genome Campus, Hinxton
     Cambs. CB10 1SD, United Kingdom

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  is_reference
 Title   : is_reference
 Usage   : $obj->is_reference()
 Function: sets and returns boolean values.
           Unset values return false.
 Example : $obj->is_reference()
 Returns : boolean
 Args    : optional true of false value

  add_DBLink
 Title   : add_DBLink
 Usage   : $self->add_DBLink($ref)
 Function: adds a link object
 Example :
 Returns :
 Args    :

  each_DBLink
 Title   : each_DBLink
 Usage   : foreach $ref ( $self->each_DBlink() )
 Function: gets an array of DBlink of objects
 Example :
 Returns :
 Args    :

  repeat_unit
 Title   : repeat_unit
 Usage   : $obj->repeat_unit('ca');
 Function:
            Sets and returns the sequence of the repeat_unit the
            allele is composed of.
 Example :
 Returns : string
 Args    : string

  repeat_count
 Title   : repeat_count
 Usage   : $obj->repeat_count();
 Function:
            Sets and returns the number of repeat units in the allele.
 Example :
 Returns : string
 Args    : string